Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Nov 2014, 16:38
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Qupzilla 1.4.0 pet is here!
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [17 Posts]   Goto page: 1, 2 Next
Author Message
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Tue 12 Mar 2013, 19:07    Post subject:  Qupzilla 1.4.0 pet is here!  

Qupzilla 1.4.0 is here so I ported it to puppy.

Qupzilla is a lightweight, fast web browser based on webkit and QT.

All you need is Qt4.80 or higher to run it. And for Html5, you should install gstreamer.

download link is here

https://www.dropbox.com/s/afni3d45ss1adn4/Qupzilla1.4_0.pet

Last edited by Gnuxo on Wed 13 Mar 2013, 17:12; edited 1 time in total
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 13 Mar 2013, 01:59    Post subject:  

I tried it on an older puppy and it didn't work.

It says it needs libc6. So I would recommend that people who aren't using newer puppies *such as precise* to stay away for now.

I'm not good enough to backport Qupzilla. Sad

If anyone can backport version 1.4.0 to an earlier version of libc, it would be helpful. It would make the browser usable for everyone.
Back to top
View user's profile Send private message 
Eyes-Only


Joined: 10 Aug 2006
Posts: 1046
Location: La Confederation Abenaquaise

PostPosted: Wed 13 Mar 2013, 07:53    Post subject:  

I was unable to download it from this place using SeaMonkey. First off I found the place very confusing. Second off when I did get something that suggested something was downloading my SeaMonkey didn't open its customary "file placement" window. Thirdly, when attempting to leave it kept ahold of me saying that I had files waiting to download - yet the page clearly said "finished".

Thanks for trying Gnuxo, but I have Qupzilla's homepage so I'll just go and download the .deb file from there since I know it's been majorly updated. Smile

Take care!

Cheers/Amicalement,

Eyes-Only
"L'Peau-Rouge d'Acadie"

_________________
*~*~*~*~*~*
Proud user of LXpup and 3-Headed Dog. Cool
*~*~*~*~*~*
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 13 Mar 2013, 16:58    Post subject:  

Oh...

I'll have to find a different storage site then.
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Wed 13 Mar 2013, 17:13    Post subject:  

Reuploaded to a new site.

Hope it works.

I'll try and compile on an older system for the people missing out.
Back to top
View user's profile Send private message 
Eyes-Only


Joined: 10 Aug 2006
Posts: 1046
Location: La Confederation Abenaquaise

PostPosted: Thu 14 Mar 2013, 01:18    Post subject:  
Subject description: SUCESS! :)
 

There we go Gnuxo! - sucess at last in the download process! lol!

In all seriousness though: Thank you so very much in going the extra mile for someone like me who now has a very difficult time in understanding many things and therefore placing this file where it'd be easier for me ( as well as others like me or those new to Linux ) to download. I truly do appreciate the extra effort my Puppian friend! Very Happy

By the way: While I agree with you in compiling on an older glibc so that others using an older puplet would be able to use this - where you had written "Precise" - that was exactly where I was planning to install and use this. I already have several lite-weight browsers that I use on my 3HD Pup ( based upon Lucid-Pup ).

Once again: Thank you so very much for your considerable time and effort regarding this matter Gnuxo - and for working to make this excellent browser readily available to those who would enjoy using it.

Cheers/Amicalement!

Eyes-Only
"L'Peau-Rouge"

_________________
*~*~*~*~*~*
Proud user of LXpup and 3-Headed Dog. Cool
*~*~*~*~*~*
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Thu 14 Mar 2013, 12:33    Post subject:  

Sadly, I've been having Qmake errors.

I have everything I need to compile but Lazy Puppy won't behave.

Lazy is the only Puppy I use with a LibC old enough to compile on.

I talked to R-S-H and he says it happens because QT3 is installed by default, and I was trying load QT4, which means I'll need to find another old puppy in order to compile.

It's proving to be a headache.
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Thu 14 Mar 2013, 12:55    Post subject:  

Dear Gnuxo,

Don't dispair. I have both QT3 and QT4 on my system and, indeed, both have qmake binaries. I linked the QT4 qmake to qmake4 and use that with ready-made (.pro files. If I run into a more seious QT4 make problem, I look at the makefile and change all instances of qmake to qmake4. That usually works....

With kind regards,
vovchik
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Thu 14 Mar 2013, 13:32    Post subject:  

Thank you so much for that.

However I'm getting errors with Qmakespecs saying it's not configured.
...And that's my real problem. When I say Qmake in the build directory, I get a Qmakespecs error and I have no idea where or how to change it.
Back to top
View user's profile Send private message 
Eyes-Only


Joined: 10 Aug 2006
Posts: 1046
Location: La Confederation Abenaquaise

PostPosted: Fri 15 Mar 2013, 02:26    Post subject:  

Not that this helps you any Gnuxo, but I have installed this on my LXpup, Mate-Pup, and the most-recent Slacko ( 5.5? ), and it's working great! Very Happy I haven't been able to use Qupzilla since around version 1.10 ( I think that was my last installed version? ) and I'd forgotten how extremely FAST - yet at the same time how many features it came with as well - and it has really blown me away!

I'm just really glad that you even bothered to have taken the time to have made this version for the up-to-date Puppies that we have today as it's reminded me of how much I've missed it.

It's truly a great lite-weight browser ( especially if ones Puppy already has Qt4 already installed by default ) and one that would make an excellent default browser in anyone's puplet due to being merely a 3.7meg install. Couple that with the likes of the Sylpheed - or Claws - email client and you've managed to have removed a great deal of weight from your finished .iso file IMHO.

I forgot to add as well: Besides size alone it seems as if the browsing speed is comparable to Dillo. I'd love to know just how the devs managed to acheive that when other webkit-based browsers can't seem to reach this browsing speed?

Keep up the fabulous work Gnuxo! It may be a headache trying to port it to the older Puppies/puplets, but I somehow suspect that there would be MANY users who would appreciate just that! Cool

Thank you again very much for your time and efforts.

Cheers/Amicalement,

Eyes-Only
"L'Peau-Rouge"

_________________
*~*~*~*~*~*
Proud user of LXpup and 3-Headed Dog. Cool
*~*~*~*~*~*
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Fri 15 Mar 2013, 17:08    Post subject:  

Thank you for the compliment. Embarassed

I love Qupzilla. I kind of wished I'd built it from source rather then just repackaging and stripping down the deb file.

I could have compiled some external addons that aren't available by default.
*Though I suppose it isn't necessary*

I installed it on an old PC, running Bodhi. And it lags with everything, *Even Chromium lags* But Qupzilla somehow runs smoothly. Question
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 308
Location: Tallahassee FL US

PostPosted: Sun 17 Mar 2013, 14:52    Post subject:  

if anyone wants it i compiled Qupzilla-1.4.1 in precise 5.3.91 its a old precise but should work in others.
Qupzilla-1.4.1 Download
DEV Download
NLS Download

-- edit i compile it against my compile of qt-4.8.2 if you want it here is my stripped sfs Download
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Thu 21 Mar 2013, 23:53    Post subject:  

What version of GlibC does it use?

If it's 2.15, then many older puppy users are screwed. Sad
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 308
Location: Tallahassee FL US

PostPosted: Fri 22 Mar 2013, 00:05    Post subject:  

will not work on older puppies, so sorry.
i have been using Qupzilla as my default browser for a wile now and love it, thanks a lot for introducing Qupzilla to me.
Code:

sh-3.00# ldd --version
ldd (Ubuntu EGLIBC 2.15-0ubuntu10) 2.15
Copyright (C) 2012 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper.
sh-3.00#
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Tue 26 Mar 2013, 12:44    Post subject:  

Someone needs to compile a QT 4.80+ .sfs on an older puppy.

It's our only hope.

I talked to the developers and they said that it can work on older versions of glibc if QT is compiled with it.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [17 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2707s ][ Queries: 11 (0.2005s) ][ GZIP on ]